Scilab Function
Last update : 00/00/0000

factorial - retourne factorielle

### Calling Sequence

  `y=factorial(n)`

### Parameters

- `n`: un scalaire, vecteur, matrice, ou hypermatrice d'entiers positifs
- `y`: un scalaire, vecteur, matrice, ou hypermatrice

### Description

`factorial(n)` retoune factotielle n, si n est de dimension superieur ра `1` alors `factorial(n)` retourne factorielle composante par composante (`x` et `y` ont la meme taille)

### Examples

    // n scalaire
    n=4
    y=factorial(n)
    // n matrice
    n=[2 6 8;5 4 3]
    y=factorial(n)
    // n hypermatrice
    n=matrix(1:12,[2,2,3])
    y=factorial(n)